Packages - Bug #2649

[rstudio-desktop]: error while loading shared libraries: libboost_date_time.s0.1.66.0
2020-03-04 04:02 PM - Iolo

Status: confirmed % Done: 0%
Priority: bug

Assignee:

Category:

Description

After installing rstudio-desktop from pcr, | tried to run the program. | got the error message.
rstudio: error while loading shared libraries: libboost_date_time.so0.1.66.0: cannot open shared ob
ject file: No such file or directory

Peeking into the libraries on my machine, | saw that the version of that file is 1.72.0 and not 1.66.0, so it looks like the packaged
rstudio is looking for an outdated library file.

Related issues:
Related to Packages - Bug #3375: [rstudio-desktop]: error while loading share... duplicate

History

#1 - 2020-03-04 04:37 PM - bill-auger

- Status changed from unconfirmed to confirmed

thanks for noticing - ima not even verify this one manually - the build date is Jan 2018; so it almost certainly needs re-building - it specifies a minimum
'boost-libs', but not a maximum; so we should probably pin this package to the current 'boost-libs' version

#2 - 2020-04-08 10:50 PM - monomono

- File error_rstudio-desktop.txt added

| try makepkg say that error:

CMake Error at /usr/lib64/cmake/Boost-1.72.0/BoostConfig.cmake:120 (find_package) :
Could not find a package configuration file provided by "boost_signals"
(requested version 1.72.0) with any of the following names:

boost_signalsConfig.cmake

boost_signals-config.cmake
Add the installation prefix of "boost_signals" to CMAKE_PREFIX_PATH or set
"boost_signals_DIR" to a directory containing one of the above files. TIf
"boost_signals" provides a separate development package or SDK, be sure it
has been installed.

Call Stack (most recent call first):
/usr/1ib64/cmake/Boost-1.72.0/BoostConfig.cmake:185 (boost_find_component)
/usr/share/cmake-3.17/Modules/FindBoost.cmake:444 (find_package)
src/cpp/CMakeLists.txt:187 (find_package)

CMake Warning (dev) in /usr/share/cmake-3.17/Modules/FindBoost.cmake:

Policy CMP0O0O1ll is not set: Included scripts do automatic cmake_policy PUSH
and POP. Run "cmake —--help-policy CMP0011" for policy details. Use the
cmake_policy command to set the policy and suppress this warning.
The included script

/usr/share/cmake-3.17/Modules/FindBoost.cmake
affects policy settings. CMake is implying the NO_POLICY_SCOPE option for
compatibility, so the effects are applied to the including context.

Call Stack (most recent call first):
src/cpp/CMakeLists.txt:187 (find_package)

This warning is for project developers. Use -Wno-dev to suppress it.

—— Configuring incomplete, errors occurred!

See also "[...]/src/rstudio-rstudio-£994763/CMakeFiles/CMakeOutput.log".

CMake Warning:

Value of RSTUDIO_GIT_REVISION_HASH contained a newline; truncating

#3 - 2020-04-13 10:01 PM - theova

Newer version of rstudio-desktop depend on gt-webengine (see Packaging Request #1461: [rstudio] add to PCR).
https://labs.parabola.nu/issues/1461

As a result, rstudio cannot be updated to the newest version.

| tried to build rstudio version 1.1.463 - without success. | get the same error as you.

#4 - 2021-06-28 03:30 AM - bill-auger

this one is being quite pesky - the 'boost_signals' problem remains - some have suggested that the lib has been renamed to 'boost_signals2'l but that
gives the same error

in addition to the last version which was compiled against webkit (v1.1.463), i also tried the latest version (with webkit instead of webengine); but it
has unsatisfyable dependencies from the AUR

® java-environment=8
e patchelf>=0.9
e r-testthat

#5 - 2022-12-06 08:36 PM - bill-auger
- File deleted (error_rstudio-desktop.txt)

#6 - 2022-12-06 08:40 PM - bill-auger
- Description updated

- Subject changed from rstudio-desktop and libboost_date_time to [rstudio-desktop]: error while loading shared libraries: libboost_date time.so.1.66.0

#7 - 2022-12-06 08:40 PM - bill-auger
- Related to Bug #3375: [rstudio-desktop]: error while loading shared libraries added
